
Katello - Bug #6699

url_prefix in config/katello.yml is not set when doing a fresh install

07/21/2014 10:23 AM - Anonymous

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Installer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/puppet-katello

_devel/pull/16

  

Description

This happened to me today:

[...]

[kdevel@foretello foreman]$ rake db:migrate

rake aborted!

ArgumentError: Key: 'url_prefix' in 'development' environment should be one of ["/headpin", "/sam", "/katello"], but was nil

[...]

As it turned out, url_prefix was indeed not set.

Related issues:

Related to Katello - Bug #6126: Subscription manager routes should be anchore... Closed 06/09/2014

Associated revisions

Revision 8429e33a - 07/27/2014 09:55 PM - Eric Helms

Fixes #6699: Fix broken devel installs.

Revision 37f1ead4 - 07/28/2014 08:10 AM - Eric Helms

Merge pull request #16 from Katello/fixes-6699

Fixes #6699: Fix broken devel installs.

Revision 1e17e41c - 07/28/2014 08:36 AM - Eric Helms

Fixes #6699: Fix broken devel installs and include missing HTTP configs.

Revision 64cb1410 - 07/30/2014 12:53 PM - Eric Helms

Merge pull request #91 from ehelms/fixes-6699

Fixes #6699: Fix broken devel installs and include missing HTTP configs.

History

#1 - 07/25/2014 06:51 PM - Anonymous

- Related to Bug #6126: Subscription manager routes should be anchored at their own API. added

#2 - 07/28/2014 08:09 AM - Anonymous

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Triaged changed from No to Yes

- Pull request https://github.com/Katello/puppet-katello_devel/pull/16 added

- Pull request deleted ()
#3 - 07/28/2014 08:38 AM - The Foreman Bot

- Target version set to 54

#4 - 07/30/2014 01:02 PM - Eric Helms

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello-installer|1e17e41c701fb1b2637c6aa562d1cab6d6a77e34.

#5 - 08/22/2014 09:23 AM - Eric Helms

- translation missing: en.field_release set to 13
